ConstantsSpeciesDiscovery (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client

## Class ConstantsSpeciesDiscovery

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.ConstantsSpeciesDiscovery

-     public final class ConstantsSpeciesDiscovery
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALERT`
    `static String` | `ANIMALIACLASS`
    `static String` | `ANIMALIACLASSID`
    `static String` | `AVAILABLEDATASOURCES`
    `static String` | `AVAILABLEFILTERBOUND`
    `static String` | `AVAILABLEFILTERDATE`
    `static String` | `BASETAXONID`
    `static String` | `BASETAXONNAME`
    `static String` | `BIOTACLASS`
    `static String` | `BIOTACLASSID`
    `static String` | `BYCOMMONNAME`
    `static String` | `BYSCIENTIFICNAME`
    `static String` | `CAN_NOT_BE_RE_SUBMITTED_UNTIL_IT_HAS_COMPLETED`
    `protected static String` | `CLASSIFICATION`
    `protected static String` | `COMMON_NAME`
    `static String` | `CONFIRM_DELETE`
    `static String` | `COUNTOF`
    `static String` | `CSV`
    `static String` | `DARWIN_CORE`
    `static String` | `DARWIN_CORE_ARCHIVE`
    `static String` | `DEFAULTLANGUAGE`
    `static String` | `DEPTH_MEAN_ANNUAL`
    `static String` | `DESELECTALL`
    `static String` | `DETAILS`
    `static String` | `EEZALL`
    `static String` | `ENVIRONMENTS`
    `static String` | `FAOAREA`
    `static String` | `FILTER`
    `static String` | `GROUPBYRANK`
    `static String` | `ID`
    `static String` | `IS_NOT_COMPLETED`
    `static String` | `ISLEAF`
    `static int` | `JOBPOLLINGMILLISECONDS`
    `static int` | `LIMIT_ITEM_DETAILS`
    `static String` | `LME`
    `static String` | `LOADINGSTYLE`
    `static String` | `MESSAGE_CONFIRM_DELETE_JOB`
    `static String` | `NAME`
    `static String` | `NONE`
    `static String` | `NORESULTS`
    `static String` | `NOT_FOUND`
    `static String` | `NULL`
    `protected static String` | `OCCURENCES`
    `static String` | `OCCURRENCEPOINTS`
    `static String` | `OPEN_MODELLER`
    `static String` | `OPEN_MODELLER_BY_DATA_SOURCE`
    `static int` | `PAGE_SIZE`
    `static String` | `PLAIN_CSV`
    `static String` | `PLAIN_CSV_BY_DATA_SOURCE`
    `static String` | `PLANTEACLASS`
    `static String` | `PLANTEACLASSID`
    `static String` | `PRIM_PROD_MEAN`
    `static String` | `RANK`
    `static String` | `REMOVEFILTERTOOLTIP`
    `static String` | `REQUEST_DATA`
    `static String` | `ROW_LIMIT_REACHED`
    `static String` | `SALINITY_MEAN`
    `static String` | `SAVE_OCCURENCES_POINTS_FROM_SELECTED_RESULTS`
    `static String` | `SAVE_OCCURRENCES`
    `static String` | `SAVE_TAXONOMY_CHILDREN`
    `static String` | `SAVE_TAXONOMY_ITEMS`
    `static String` | `SAVES_IN_CSV_FILE_FORMAT`
    `static String` | `SAVES_IN_DARWIN_CORE_ARCHIVE_FORMAT`
    `static String` | `SAVES_IN_DARWIN_CORE_FILE_FORMAT`
    `static String` | `SAVES_TAXONOMY_CHILDREN_FROM_RESULT`
    `static int` | `SCHEDULE_MILLIS_COUNT_OCCURRENCES`
    `protected static String` | `SCIENTIFIC_NAME`
    `static String` | `SCIENTIFICNAME`
    `static String` | `SELECTALL`
    `static String` | `SHOW_IN_GIS_VIEWER`
    `static String` | `SORTMESSAGE`
    `static String` | `SST_AN_MEAN`
    `static String` | `THE_MAX_NUMBER_OF_ITEMS_DISPLAYABLE_IS`
    `static String` | `TIME_ZONE_UTC`
    `static String` | `TIMEFORMAT_HH_MM_SS`
    `static String` | `UNDEFINED`
    `static String` | `UNKNOWN`
    `static String` | `UNKNOWNID`
    `static String` | `VIEWDETAILS`
    `static String` | `WORLD_BORDERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantsSpeciesDiscovery()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ISLEAF

          public static final String ISLEAF

      See Also:
        Constant Field Values

    - #### BASETAXONID

          public static final String BASETAXONID

      See Also:
        Constant Field Values

    - #### BASETAXONNAME

          public static final String BASETAXONNAME

      See Also:
        Constant Field Values

    - #### COUNTOF

          public static final String COUNTOF

      See Also:
        Constant Field Values

    - #### RANK

          public static final String RANK

      See Also:
        Constant Field Values

    - #### BIOTACLASSID

          public static final String BIOTACLASSID

      See Also:
        Constant Field Values

    - #### BIOTACLASS

          public static final String BIOTACLASS

      See Also:
        Constant Field Values

    - #### ANIMALIACLASSID

          public static final String ANIMALIACLASSID

      See Also:
        Constant Field Values

    - #### ANIMALIACLASS

          public static final String ANIMALIACLASS

      See Also:
        Constant Field Values

    - #### PLANTEACLASSID

          public static final String PLANTEACLASSID

      See Also:
        Constant Field Values

    - #### PLANTEACLASS

          public static final String PLANTEACLASS

      See Also:
        Constant Field Values

    - #### UNKNOWN

          public static final String UNKNOWN

      See Also:
        Constant Field Values

    - #### UNKNOWNID

          public static final String UNKNOWNID

      See Also:
        Constant Field Values

    - #### NORESULTS

          public static final String NORESULTS

      See Also:
        Constant Field Values

    - #### NONE

          public static final String NONE

      See Also:
        Constant Field Values

    - #### FILTER

          public static final String FILTER

      See Also:
        Constant Field Values

    - #### REMOVEFILTERTOOLTIP

          public static final String REMOVEFILTERTOOLTIP

      See Also:
        Constant Field Values

    - #### VIEWDETAILS

          public static final String VIEWDETAILS

      See Also:
        Constant Field Values

    - #### SELECTALL

          public static final String SELECTALL

      See Also:
        Constant Field Values

    - #### DESELECTALL

          public static final String DESELECTALL

      See Also:
        Constant Field Values

    - #### GROUPBYRANK

          public static final String GROUPBYRANK

      See Also:
        Constant Field Values

    - #### LOADINGSTYLE

          public static final String LOADINGSTYLE

      See Also:
        Constant Field Values

    - #### SORTMESSAGE

          public static final String SORTMESSAGE

      See Also:
        Constant Field Values

    - #### REQUEST_DATA

          public static final String REQUEST_DATA

      See Also:
        Constant Field Values

    - #### JOBPOLLINGMILLISECONDS

          public static final int JOBPOLLINGMILLISECONDS

      See Also:
        Constant Field Values

    - #### OCCURENCES

          protected static final String OCCURENCES

      See Also:
        Constant Field Values

    - #### CLASSIFICATION

          protected static final String CLASSIFICATION

      See Also:
        Constant Field Values

    - #### COMMON_NAME

          protected static final String COMMON_NAME

      See Also:
        Constant Field Values

    - #### SCIENTIFIC_NAME

          protected static final String SCIENTIFIC_NAME

      See Also:
        Constant Field Values

    - #### AVAILABLEFILTERBOUND

          public static final String AVAILABLEFILTERBOUND

      See Also:
        Constant Field Values

    - #### AVAILABLEFILTERDATE

          public static final String AVAILABLEFILTERDATE

      See Also:
        Constant Field Values

    - #### AVAILABLEDATASOURCES

          public static final String AVAILABLEDATASOURCES

      See Also:
        Constant Field Values

    - #### LME

          public static final String LME

      See Also:
        Constant Field Values

    - #### FAOAREA

          public static final String FAOAREA

      See Also:
        Constant Field Values

    - #### EEZALL

          public static final String EEZALL

      See Also:
        Constant Field Values

    - #### SST_AN_MEAN

          public static final String SST_AN_MEAN

      See Also:
        Constant Field Values

    - #### SALINITY_MEAN

          public static final String SALINITY_MEAN

      See Also:
        Constant Field Values

    - #### PRIM_PROD_MEAN

          public static final String PRIM_PROD_MEAN

      See Also:
        Constant Field Values

    - #### ENVIRONMENTS

          public static final String ENVIRONMENTS

      See Also:
        Constant Field Values

    - #### DEPTH_MEAN_ANNUAL

          public static final String DEPTH_MEAN_ANNUAL

      See Also:
        Constant Field Values

    - #### WORLD_BORDERS

          public static final String WORLD_BORDERS

      See Also:
        Constant Field Values

    - #### TIME_ZONE_UTC

          public static final String TIME_ZONE_UTC

      See Also:
        Constant Field Values

    - #### TIMEFORMAT_HH_MM_SS

          public static final String TIMEFORMAT_HH_MM_SS

      See Also:
        Constant Field Values

    - #### NULL

          public static final String NULL

      See Also:
        Constant Field Values

    - #### UNDEFINED

          public static final String UNDEFINED

      See Also:
        Constant Field Values

    - #### NOT_FOUND

          public static final String NOT_FOUND

      See Also:
        Constant Field Values

    - #### LIMIT_ITEM_DETAILS

          public static int LIMIT_ITEM_DETAILS

    - #### THE_MAX_NUMBER_OF_ITEMS_DISPLAYABLE_IS

          public static final String THE_MAX_NUMBER_OF_ITEMS_DISPLAYABLE_IS

      See Also:
        Constant Field Values

    - #### ROW_LIMIT_REACHED

          public static final String ROW_LIMIT_REACHED

      See Also:
        Constant Field Values

    - #### SAVE_OCCURENCES_POINTS_FROM_SELECTED_RESULTS

          public static final String SAVE_OCCURENCES_POINTS_FROM_SELECTED_RESULTS

      See Also:
        Constant Field Values

    - #### SAVES_IN_CSV_FILE_FORMAT

          public static final String SAVES_IN_CSV_FILE_FORMAT

      See Also:
        Constant Field Values

    - #### CSV

          public static final String CSV

      See Also:
        Constant Field Values

    - #### SAVES_IN_DARWIN_CORE_FILE_FORMAT

          public static final String SAVES_IN_DARWIN_CORE_FILE_FORMAT

      See Also:
        Constant Field Values

    - #### DARWIN_CORE

          public static final String DARWIN_CORE

      See Also:
        Constant Field Values

    - #### OPEN_MODELLER_BY_DATA_SOURCE

          public static final String OPEN_MODELLER_BY_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### OPEN_MODELLER

          public static final String OPEN_MODELLER

      See Also:
        Constant Field Values

    - #### PLAIN_CSV_BY_DATA_SOURCE

          public static final String PLAIN_CSV_BY_DATA_SOURCE

      See Also:
        Constant Field Values

    - #### PLAIN_CSV

          public static final String PLAIN_CSV

      See Also:
        Constant Field Values

    - #### SAVE_OCCURRENCES

          public static final String SAVE_OCCURRENCES

      See Also:
        Constant Field Values

    - #### SHOW_IN_GIS_VIEWER

          public static final String SHOW_IN_GIS_VIEWER

      See Also:
        Constant Field Values

    - #### SAVE_TAXONOMY_ITEMS

          public static final String SAVE_TAXONOMY_ITEMS

      See Also:
        Constant Field Values

    - #### DETAILS

          public static final String DETAILS

      See Also:
        Constant Field Values

    - #### OCCURRENCEPOINTS

          public static final String OCCURRENCEPOINTS

      See Also:
        Constant Field Values

    - #### SCHEDULE_MILLIS_COUNT_OCCURRENCES

          public static final int SCHEDULE_MILLIS_COUNT_OCCURRENCES

      See Also:
        Constant Field Values

    - #### PAGE_SIZE

          public static final int PAGE_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULTLANGUAGE

          public static final String DEFAULTLANGUAGE

      See Also:
        Constant Field Values

    - #### BYSCIENTIFICNAME

          public static final String BYSCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### BYCOMMONNAME

          public static final String BYCOMMONNAME

      See Also:
        Constant Field Values

    - #### CAN_NOT_BE_RE_SUBMITTED_UNTIL_IT_HAS_COMPLETED

          public static final String CAN_NOT_BE_RE_SUBMITTED_UNTIL_IT_HAS_COMPLETED

      See Also:
        Constant Field Values

    - #### MESSAGE_CONFIRM_DELETE_JOB

          public static final String MESSAGE_CONFIRM_DELETE_JOB

      See Also:
        Constant Field Values

    - #### CONFIRM_DELETE

          public static final String CONFIRM_DELETE

      See Also:
        Constant Field Values

    - #### ALERT

          public static final String ALERT

      See Also:
        Constant Field Values

    - #### IS_NOT_COMPLETED

          public static final String IS_NOT_COMPLETED

      See Also:
        Constant Field Values

    - #### SAVES_IN_DARWIN_CORE_ARCHIVE_FORMAT

          public static final String SAVES_IN_DARWIN_CORE_ARCHIVE_FORMAT

      See Also:
        Constant Field Values

    - #### DARWIN_CORE_ARCHIVE

          public static final String DARWIN_CORE_ARCHIVE

      See Also:
        Constant Field Values

    - #### SAVES_TAXONOMY_CHILDREN_FROM_RESULT

          public static final String SAVES_TAXONOMY_CHILDREN_FROM_RESULT

      See Also:
        Constant Field Values

    - #### SAVE_TAXONOMY_CHILDREN

          public static final String SAVE_TAXONOMY_CHILDREN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstantsSpeciesDiscovery

          public ConstantsSpeciesDiscovery()

Copyright © 2013. All Rights Reserved.